#!/bin/bash

while true; do
	for arg in $@; do
		for id in  `ps -ef | grep -E -v "$0|grep" | grep -E "$arg" | awk -F" " '{print $2}'`; do
			kill $id
			echo "Killed: $arg with id:  $id"
		done
	done
	sleep 3
done
